Subject: [Pesci-discuss] Fw: Last NomCom 2005/06 Call for Volunteers

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 4 Oct 2005 10:29:14 -0500

Dear Pesci,

I saw something in Pekka's note on the IETF mailing list that I haven't seen 
discussed previously.

> That aside, I personally didn't volunteer simply because the workload of 
> NomCom appears to be just simply too much given the gains;  weekly [long] 
> conference calls; lots of work going through the persons; an increased 
> number of positions (13, plus more if there will be resignations later on) 
> to fill.
>
> It's not an easy job.  Being able to give input to the IETF leadership 
> certainly is VERY important, and having diverse set of people do it should 
> be a big plus.  However, it may be worth considering whether it's 
> something folks without strong employer backing for getting into that 
> specific post can participate in .. and whether that's a good sign or not.

I forwarded Pekka's note for a few reasons:

- I've been participating in an off-again, on-again discussion about IESG 
overload for a couple of years, but am concerned that even participating in 
NOMCOM may be out of reach for many IETF participants (I know how hard Pekka 
works, and HE doesn't have time for NOMCOM?)

- More to the point for Pesci, we should probably remember this e-mail when 
proposing MORE NOMCOM responsibilities - not that proposing more NOMCOMed 
positions is a bad thing, only that it comes with certain costs. Is it 
possible that PESCI recommendations might involve fewer NOMCOMed positions?

Thanks,

Spencer 

_______________________________________________
Pesci-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pesci-discuss

---

From: Pekka Savola <[email-masked]>
Date: Tue, 4 Oct 2005 19:03:43 +0300 (EEST)

A comment,

On Tue, 4 Oct 2005, Spencer Dawkins wrote:
>> be a big plus.  However, it may be worth considering whether it's something 
>> folks without strong employer backing for getting into that specific post 
>> can participate in .. and whether that's a good sign or not.
>

The problem is (IMHO) this: if a person has the ability to spend XX 
hours per week (on average) on "IETF business", which kind of business 
should (s)he spend it on?

I'd estimate NOMCOM will about take 5-10 hours per week for about 3 
months, with stronger bias towards the end of the 'term' (and the 
possibility for recurring stints if folks resign).  Not sure how close 
to the mark this is..

For most people, committing to that kind of job might require dropping 
all (or most) the other [technical] IETF activities -- the main stuff 
*technical* people are usually interested in.  Even if you spent half 
of your time for direct IETF business, that kind of change in the time 
consumption would be significant.

So, my concern here is that current NOMCOM structure seems to 
encourage participation from big vendors who can promise their 
employees something to the effect of:

"being able to affect IETF leadership is so important that we'll get 
you a big bonus and shift off your day-time job if you get chosen -- 
you must put your name to the hat!"

.. and this seems troublesome.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 04 Oct 2005 18:24:11 +0200

Spencer Dawkins wrote:
> Dear Pesci,
> 
> I saw something in Pekka's note on the IETF mailing list that I haven't 
> seen discussed previously.
> 
>> That aside, I personally didn't volunteer simply because the workload 
>> of NomCom appears to be just simply too much given the gains;  weekly 
>> [long] conference calls; lots of work going through the persons; an 
>> increased number of positions (13, plus more if there will be 
>> resignations later on) to fill.
>>
>> certainly is VERY important, and having diverse set of people do it 
>> should be a big plus.  However, it may be worth considering whether 
>> it's something folks without strong employer backing for getting into 
>> that specific post can participate in .. and whether that's a good 
>> sign or not.
> 
> 
> - I've been participating in an off-again, on-again discussion about 
> IESG overload for a couple of years, but am concerned that even 
> participating in NOMCOM may be out of reach for many IETF participants 
> (I know how hard Pekka works, and HE doesn't have time for NOMCOM?)
> 
> - More to the point for Pesci, we should probably remember this e-mail 
> when proposing MORE NOMCOM responsibilities - not that proposing more 
> NOMCOMed positions is a bad thing, only that it comes with certain 
> costs. Is it possible that PESCI recommendations might involve fewer 
> NOMCOMed positions?

Or even more fundamental changes to leadership selection methods?

    Brian

---

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 4 Oct 2005 12:08:11 -0500

OK, now I'm more concerned...

I totally agree with Pekka on the "big vendors who can sponsor volunteers" 
issue.

> So, my concern here is that current NOMCOM structure seems to encourage 
> participation from big vendors who can promise their employees something 
> to the effect of:
>
> "being able to affect IETF leadership is so important that we'll get you a 
> big bonus and shift off your day-time job if you get chosen -- 

And, in another response, Brian responded to my question this way:

>> NOMCOMed positions is a bad thing, only that it comes with certain costs. 
>> Is it possible that PESCI recommendations might involve fewer NOMCOMed 
>> positions?
>

I'm not opposed to such, but do have concerns that anything we use to 
replace NOMCOM should be as difficult to "game" as NOMCOM has been.

We must also remember that "big vendors" are acting in their own 
self-interest - while NOMCOM hasn't been perfect, it's been fairly difficult 
to "game" for most of the time I've been in the IETF; if we make fundamental 
changes to leadership selection methods, we need to end up with a selection 
mechanism that's still difficult to game.

Spencer

---

From: Lars Eggert <[email-masked]>
Date: Tue, 4 Oct 2005 19:13:23 +0200

On Oct 4, 2005, at 18:03, Pekka Savola wrote:
> "being able to affect IETF leadership is so important that we'll  
> get you a big bonus and shift off your day-time job if you get  
> chosen -- you must put your name to the hat!"
>

More than 40% of the last NomCom volunteers (53/123) came from four  
big vendors (low estimate, other people may have used a non-company  
address when volunteering):

[eggert@n-eggert: ~] wget -O- -q http://www.ietf.org/nomcom/ 
msg10.06.04.txt | perl -n -e 's/.*@(.*)>/\1/ and print' | sort -n |  
uniq -c | sort -r
   19 cisco.com
   13 nokia.com
   11 nortelnetworks.com
   10 ericsson.com
    4 lucent.com
    3 siemens.com
    3 juniper.net
    3 alcatel.com
    2 verisign.com
    2 sun.com
    2 samsung.com
    2 mcsr-labs.org
    2 francetelecom.com
    2 alcatel.be
<cut about 100 unique FQDNs to save some space>

The ratio of these four among the final voting members was even  
higher, with 6 out of 10 from these same four vendors:

Alia Atlas <[email-masked]>
Andrew Lange <[email-masked]>
Chris Liljenstolpe <[email-masked]>
Juha Wiljakka <[email-masked]>
Lakshminath Dondeti <[email-masked]>
Magnus Westerlund <[email-masked]>
Markus Isomaki <[email-masked]>
Matt Larson <[email-masked]>
Russ White <[email-masked]>
Stewart Bryant <[email-masked]>

So it appears possible that due to the relatively small number of  
NomCom volunteers compared to the large number of eligible people,  
the process could be gamed relatively easily. If the volunteer pool  
shrinks more, this is becoming easier still.

To be clear here, I am *not* criticizing the 2004/2005 NomCom people  
or their decisions! I'm merely using the data to illustrate a point:  
if anything, the pool of NomCom volunteers is already too small;  
changes that cause it to shrink are problematic.

Lars
--
Lars Eggert                                     NEC Network Laboratories

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 05 Oct 2005 13:28:35 +0200

Lars,

It was exactly because of this issue that the "two
per company" limit was put into the Nomcom rules -
but the effect that large companies will tend to trigger
large cohorts of volunteers is inevitable.

Of course that rule can be made stricter, but that's
a detail as far as PESCI is concerned, I think.
The issues here are more of ensuring that the Nomcom
volunteer pool is large enough, which I'm sure is
affected by the workload, or of considering fundamental
alternatives.

    Brian

Lars Eggert wrote:
> More than 40% of the last NomCom volunteers (53/123) came from four  big 
> vendors (low estimate, other people may have used a non-company  address 
> when volunteering):
> 
> The ratio of these four among the final voting members was even  higher, 
> with 6 out of 10 from these same four vendors:
> 
> NomCom volunteers compared to the large number of eligible people,  the 
> process could be gamed relatively easily. If the volunteer pool  shrinks 
> more, this is becoming easier still.
> 
> To be clear here, I am *not* criticizing the 2004/2005 NomCom people  or 
> their decisions! I'm merely using the data to illustrate a point:  if 
> anything, the pool of NomCom volunteers is already too small;  changes 
> that cause it to shrink are problematic.
> 
> Lars
> -- 
> ------------------------------------------------------------------------
>

---

From: Michael Richardson <[email-masked]>
Date: Sun, 09 Oct 2005 13:18:19 -0400

>>>>> "Pekka" == Pekka Savola <[email-masked]> writes:
    Pekka> I'd estimate NOMCOM will about take 5-10 hours per week for about
    Pekka> 3 months, with stronger bias towards the end of the 'term' (and
    Pekka> the possibility for recurring stints if folks resign).  Not sure
    Pekka> how close to the mark this is..

    Pekka> For most people, committing to that kind of job might require
    Pekka> dropping all (or most) the other [technical] IETF activities --
    Pekka> the main stuff *technical* people are usually interested in.  Even

  There is a further bias --- tight travel budgets in the past years have
meant that the lower IETF meeting numbers mean fewer are actually elible for
nomcom. 

  I buy would like to see the nomcom eligibility guidelines changed a bit.
Perhaps if you qualified at some point in the past for nomcom, that it
changes your future elibility criteria.

-- 
]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson,    Xelerance Corporation, Ottawa, ON    |net architect[
] [email-masked]      http://www.sandelman.ottawa.on.ca/mcr/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [
_______________________________________________
Pesci-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pesci-discuss

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Sun, 09 Oct 2005 20:48:09 +0200

--On søndag, oktober 09, 2005 13:18:19 -0400 Michael Richardson 
<[email-masked]> wrote:

> meant that the lower IETF meeting numbers mean fewer are actually elible
> for nomcom.
>

I don't think the number of eligible people has dropped very much - and we 
just changed it from "2 out of 3" to "3 out of 5", which stretches the 
period a bit.

We might want to ask the record-keepers if "3 out of 6" makes any 
difference (my guesstimator says that it's probably marginal).

I wouldn't want to have nomcom people who'd been completely out of touch 
for the last year or more.... and meeting attendance is the only objective 
measure we've come up with....

---

From: Dave Crocker <[email-masked]>
Date: Sun, 09 Oct 2005 13:13:25 -0700

> I wouldn't want to have nomcom people who'd been completely out of 
> touch for the last year or more.... and meeting attendance is the only 
> objective measure we've come up with....

The current criteria do not require that nomcom people be "in touch" in 
any meaningful way. 

They must have attended some IETF meetings. 

There is no requirement that they have sat in working group meetings, 
performed any work, or thave any experience with IETF process.

When the community was more cohesive, showing up at meetings correlated 
well with deeper knowledge of the work and process of the IETF. 

That no longer holds true.

d/

-- 

  Dave Crocker
  Brandenburg InternetWorking
  +1.408.246.8253
  dcrocker  a t ...
  WE'VE MOVED to:  www.bbiw.net

---

From: Michael Richardson <[email-masked]>
Date: Sun, 09 Oct 2005 16:17:43 -0400

-----BEGIN PGP SIGNED MESSAGE-----

>>>>> "Harald" == Harald Tveit Alvestrand <[email-masked]> writes:
    >> There is a further bias --- tight travel budgets in the past
    >> years have meant that the lower IETF meeting numbers mean fewer
    >> are actually elible for nomcom.
    >> 
    >> I buy would like to see the nomcom eligibility guidelines changed
    >> a bit.  Perhaps if you qualified at some point in the past for
    >> nomcom, that it changes your future elibility criteria.

    Harald> I don't think the number of eligible people has dropped very
    Harald> much - and we just changed it from "2 out of 3" to "3 out of
    Harald> 5", which stretches the period a bit.

  That's not my point.
  My point is that if you couldn't travel, you become ineligible.
  It's hard to know if our pool of people is going up/down, because we
don't really know what our total population is.
  I think that the secretariat has numbers as to how many are eligible
for nomcom each time?

    Harald> I wouldn't want to have nomcom people who'd been completely
    Harald> out of touch for the last year or more.... and meeting
    Harald> attendance is the only objective measure we've come up
    Harald> with....

  I'm suggesting a more complex measure. For instance, I'm thinking:

      You are not eligible until you have been to 3 of 5 consecutive
      meetings.	  (this makes sure that you have some exposure to the culture)
      
      You remain eligible if your score is >4 (? >5) on the sum of:
	  1) number of meetings in past 9 (?12)
	  2) number of groups you chaired in past 9 meetings
	  3) number of (unique?) internet-drafts you submitted to WG
	     areas.

  Can you imagine being a WG chair without attending a meeting for a
year?  Yes, I can.  A WG that is *trying* to push final documents
through (so it can close), is not meeting, may actually have VERY
RELEVANT input as to recent state of affairs.

- --

---

From: "Marshall Eubanks" <[email-masked]>
Date: Sun, 09 Oct 2005 16:48:52 -0400

Three things occur to me

- this  would filter out anyone who is sufficiently ill or  disabled that
they cannot travel (and might be held to violate the ADA if anyone was really perturbed). 

- this would (at present) likely filter out anyone who cannot get a US visa.

- It also may filter out  people inside the US - Stanislav Shulanov told me he was
not going to Paris as he was not sure he could get back IN the USA, due to 
his  visa status. If the IETF meets abroad next summer, we are looking at 3 non-US meetings in the 4
from 63 (Paris), 64 (Vancouver), 65 (US), 66 (summer).

Here is a suggestion : 3 or the last 5 or a co-author in a published (or accepted) RFC in the last
3 years.

Regards
Marshall Eubanks

On Sun, 09 Oct 2005 16:17:43 -0400
 Michael Richardson <[email-masked]> wrote:
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.2.2 (GNU/Linux)
> Comment: Finger me for keys
> 
> iQCVAwUBQ0l65IqHRg3pndX9AQEz/QP+OsGv0Z875r/ogHbNx94JgpU+9HOhGjvD
> u1DgEEXTQIK+E2ep5y1BhIPHhCsVHHByijOKKkc3U34uoLyldQTB8gf/ct+At8OT
> SuUasU2Mi8lSuKyh6sua5LO/KSte/0zQT7TXeB5fQZpAvhf6XjdUAr6TyCKP721M
> 1CyiSstmVrQ=
> =0tR2
> -----END PGP SIGNATURE-----
>

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Mon, 10 Oct 2005 01:37:34 +0200

I understand the attendance criteria, to make sure the concerned 
people have a good IETF culture. However, this is most probably one 
of the reasons of the low of participation of developing countries, 
of users organisations and of the non-commercial funding the RFC 3869 
calls for. Also, some proportion of cultural fresh blood cannot harm. 
Why not to try a non-dangerous 2/3 split: only 2/3 of the nominees 
would have to match the attendance criteria (what could possible have 
a 0 impact on the final outcome, but could also help to analyse the issue).

I would also suggest that, as an international body, every person in 
charge of a responsibility SHOULD speak two languages and be able to 
understand one or two others (this "should" being an objective and 
over the years an accepted obligation). This to better understand the 
non-English participants attitudes and cultures, to respect and help 
their equal opportunity rights, not to take as "anti-American" or 
anti-IETF some innovative  propositions, to be able to benefit from 
other methods of technical thinking, and to understand 
multilingualisation architectural issues, variations, constrains and 
technical opportunities. IMHO the IETF culture needs to make a few 
steps into that direction.

jfc
an IETF deliverables user.

---

From: Lars Eggert <[email-masked]>
Date: Mon, 10 Oct 2005 09:38:37 +0200

Hi,

>   My point is that if you couldn't travel, you become ineligible.

I think the number of eligible people is not a big issue - according  
to Ralph's email to ietf@, there were 849 people eligible this time  
around. The problem is that the majority of eligible people don't  
volunteer for NomCom.

>   I think that the secretariat has numbers as to how many are eligible

That would be useful to know.

>   I'm suggesting a more complex measure. For instance, I'm thinking:

Changing the eligibility rules may increase the pool. The impact on  
the number of volunteers will only be proportional, i.e., according  
to Ralph, 71/849 people volunteered this time at his last count. Even  
if the pool doubles (very optimistic) that will only double the  
number of volunteers. We need even more volunteers IMO. Other changes  
may be required for this.

> RELEVANT input as to recent state of affairs.

Unrelated issue, but I participate in a group that isn't at that  
stage where I have seen the second co-chair maybe once (and I've  
never seen an email from him either.)

Lars

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 10 Oct 2005 10:05:56 +0200

Lars Eggert wrote:
> I think the number of eligible people is not a big issue - according  to 
> Ralph's email to ietf@, there were 849 people eligible this time  

If this was the RFC3777bis WG, it would be. But I think it's a bit far
from the basic principles of process change that PESCI is trying to
identify.

As I said in plenary in Paris, we have about 740 people we could count
as core attendees (who attended 4 out of the previous 6 meetings,
measured at IETF62). That number is down from about 940 at the peak of
the Internet boom but is still a pretty solid base. You can assume
that core includes all current leaders (including WG chairs,
document editors, etc) and most likely all potential leaders for the
next few years, as well as all likely Nomcom volunteers.

    Brian

> Changing the eligibility rules may increase the pool. The impact on  the 
> number of volunteers will only be proportional, i.e., according  to 
> Ralph, 71/849 people volunteered this time at his last count. Even  if 
> the pool doubles (very optimistic) that will only double the  number of 
> volunteers. We need even more volunteers IMO. Other changes  may be 
> required for this.
> 
> Unrelated issue, but I participate in a group that isn't at that  stage 
> where I have seen the second co-chair maybe once (and I've  never seen 
> an email from him either.)
> 
> Lars
> --